<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$detalle_proyecto_add = new detalle_proyecto_add();

// Run the page
$detalle_proyecto_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$detalle_proyecto_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fdetalle_proyectoadd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	fdetalle_proyectoadd = currentForm = new ew.Form("fdetalle_proyectoadd", "add");

	// Validate form
	fdetalle_proyectoadd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($detalle_proyecto_add->id_proyecto->Required) { ?>
				elm = this.getElements("x" + infix + "_id_proyecto");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $detalle_proyecto_add->id_proyecto->caption(), $detalle_proyecto_add->id_proyecto->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_id_proyecto");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($detalle_proyecto_add->id_proyecto->errorMessage()) ?>");
			<?php if ($detalle_proyecto_add->nombre_etapa->Required) { ?>
				elm = this.getElements("x" + infix + "_nombre_etapa");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $detalle_proyecto_add->nombre_etapa->caption(), $detalle_proyecto_add->nombre_etapa->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($detalle_proyecto_add->foto->Required) { ?>
				elm = this.getElements("x" + infix + "_foto");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $detalle_proyecto_add->foto->caption(), $detalle_proyecto_add->foto->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($detalle_proyecto_add->estado->Required) { ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $detalle_proyecto_add->estado->caption(), $detalle_proyecto_add->estado->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($detalle_proyecto_add->estado->errorMessage()) ?>");

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fdetalle_proyectoadd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fdetalle_proyectoadd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fdetalle_proyectoadd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $detalle_proyecto_add->showPageHeader(); ?>
<?php
$detalle_proyecto_add->showMessage();
?>
<form name="fdetalle_proyectoadd" id="fdetalle_proyectoadd" class="<?php echo $detalle_proyecto_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="detalle_proyecto">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$detalle_proyecto_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($detalle_proyecto_add->id_proyecto->Visible) { // id_proyecto ?>
	<div id="r_id_proyecto" class="form-group row">
		<label id="elh_detalle_proyecto_id_proyecto" for="x_id_proyecto" class="<?php echo $detalle_proyecto_add->LeftColumnClass ?>"><?php echo $detalle_proyecto_add->id_proyecto->caption() ?><?php echo $detalle_proyecto_add->id_proyecto->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $detalle_proyecto_add->RightColumnClass ?>"><div <?php echo $detalle_proyecto_add->id_proyecto->cellAttributes() ?>>
<span id="el_detalle_proyecto_id_proyecto">
<input type="text" data-table="detalle_proyecto" data-field="x_id_proyecto" name="x_id_proyecto" id="x_id_proyecto" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($detalle_proyecto_add->id_proyecto->getPlaceHolder()) ?>" value="<?php echo $detalle_proyecto_add->id_proyecto->EditValue ?>"<?php echo $detalle_proyecto_add->id_proyecto->editAttributes() ?>>
</span>
<?php echo $detalle_proyecto_add->id_proyecto->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($detalle_proyecto_add->nombre_etapa->Visible) { // nombre_etapa ?>
	<div id="r_nombre_etapa" class="form-group row">
		<label id="elh_detalle_proyecto_nombre_etapa" for="x_nombre_etapa" class="<?php echo $detalle_proyecto_add->LeftColumnClass ?>"><?php echo $detalle_proyecto_add->nombre_etapa->caption() ?><?php echo $detalle_proyecto_add->nombre_etapa->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $detalle_proyecto_add->RightColumnClass ?>"><div <?php echo $detalle_proyecto_add->nombre_etapa->cellAttributes() ?>>
<span id="el_detalle_proyecto_nombre_etapa">
<textarea data-table="detalle_proyecto" data-field="x_nombre_etapa" name="x_nombre_etapa" id="x_nombre_etapa" cols="35" rows="4" placeholder="<?php echo HtmlEncode($detalle_proyecto_add->nombre_etapa->getPlaceHolder()) ?>"<?php echo $detalle_proyecto_add->nombre_etapa->editAttributes() ?>><?php echo $detalle_proyecto_add->nombre_etapa->EditValue ?></textarea>
</span>
<?php echo $detalle_proyecto_add->nombre_etapa->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($detalle_proyecto_add->foto->Visible) { // foto ?>
	<div id="r_foto" class="form-group row">
		<label id="elh_detalle_proyecto_foto" for="x_foto" class="<?php echo $detalle_proyecto_add->LeftColumnClass ?>"><?php echo $detalle_proyecto_add->foto->caption() ?><?php echo $detalle_proyecto_add->foto->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $detalle_proyecto_add->RightColumnClass ?>"><div <?php echo $detalle_proyecto_add->foto->cellAttributes() ?>>
<span id="el_detalle_proyecto_foto">
<textarea data-table="detalle_proyecto" data-field="x_foto" name="x_foto" id="x_foto" cols="35" rows="4" placeholder="<?php echo HtmlEncode($detalle_proyecto_add->foto->getPlaceHolder()) ?>"<?php echo $detalle_proyecto_add->foto->editAttributes() ?>><?php echo $detalle_proyecto_add->foto->EditValue ?></textarea>
</span>
<?php echo $detalle_proyecto_add->foto->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($detalle_proyecto_add->estado->Visible) { // estado ?>
	<div id="r_estado" class="form-group row">
		<label id="elh_detalle_proyecto_estado" for="x_estado" class="<?php echo $detalle_proyecto_add->LeftColumnClass ?>"><?php echo $detalle_proyecto_add->estado->caption() ?><?php echo $detalle_proyecto_add->estado->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $detalle_proyecto_add->RightColumnClass ?>"><div <?php echo $detalle_proyecto_add->estado->cellAttributes() ?>>
<span id="el_detalle_proyecto_estado">
<input type="text" data-table="detalle_proyecto" data-field="x_estado" name="x_estado" id="x_estado" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($detalle_proyecto_add->estado->getPlaceHolder()) ?>" value="<?php echo $detalle_proyecto_add->estado->EditValue ?>"<?php echo $detalle_proyecto_add->estado->editAttributes() ?>>
</span>
<?php echo $detalle_proyecto_add->estado->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$detalle_proyecto_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $detalle_proyecto_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $detalle_proyecto_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$detalle_proyecto_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$detalle_proyecto_add->terminate();
?>